****Replication Code for "Trade, Foreign Direct Investment and Immigration Policy Making in the US"****
****Margaret E. Peters****

***Regression Tables***
**Table 2***
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep d_union d_unemp d_foreign  ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union d_unemp d_foreign d_lag_foreign ////
d_welfare   [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

*output for a LaTex table
esttab using table2.tex, b(2) se(2) label  ///
title(Voting behavior regressed on trade openness, world capital openness and controls, weight least squares and standard errors clustered by congress\label{tab:post1945_2014_altern}) ///
nogaps replace

esttab using table2.rtf, b(2) se(2) label star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
title(Voting behavior regressed on trade openness, world capital openness and controls, weight least squares and standard errors clustered by congress\label{tab:post1945_2014_altern}) ///
nogaps replace

**Check that lag foreign born has no impact
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_lag_foreign ////
 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

**Check that welfare impact and gdp have no effect
 use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union  ////
 d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)




***Robustness Checks***
*Table A2
*Levels of trade and firm mobility
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==0   [aweight = count], vce(cluster congress) 
eststo: reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==1   [aweight = count], vce(cluster congress) 
eststo: reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==0 [aweight = count], vce(cluster congress) 
eststo: reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci  if rep==1 [aweight = count], vce(cluster congress) 
esttab using tableA2.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness and world capital openness, weight least squares and standard errors clustered by congress\label{tab:post1945_2014base4}) ///
nogaps replace

*Table A3
*Low Skill Immigration
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep d_union d_unemp d_perlow ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union  d_unemp d_perlow ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep  d_lag_perlow ////
 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union  d_unemp d_perlow d_lag_perlow ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA3.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness, low-skill immigration and controls, weight least squares and standard errors clustered by congress\label{tab:post1945_2014alternls}) ///
nogaps replace

*Table A4
*Undocumented Immigration
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep d_illegal ////
[aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep  d_illegal ////
[aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA4.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls including number of undocumented immigrants, weight least squares and standard errors clustered by congress\label{tab:post1945_2014altern}) ///
nogaps replace


*Table A5
*Without Omnibus or High Skill Bills
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_meancapopen d_tariff_meancap rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean_noomnihs d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA5.tex, b(2) se(2) label ///
title(Voting behavior without Omnibus or H-1B votes regressed on trade openness, world capital openness and controls, weight least squares and standard errors clustered by congress\label{tab:post1945_2014noomnihs}) ///
nogaps replace

*Table A6
*Senator characteristics
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA6.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and senator characteristics, weight least squares and standard errors clustered by congress\label{tab:post1945_2014altern}) ///
nogaps replace

*Table A7
*With Reps and so. dems instead 
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA7.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by Republicans and Southern Democrats, standard errors clustered by congress\label{tab:post1945_2014alternrepsodem}) ///
nogaps replace

*Table A8
*With lowtax instead 
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)


esttab using tableA8.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by low tax preference, standard errors clustered by congress \label{tab:post1945_2014alternlowtax}) ///
nogaps replace


*Table A9
*With dw nominate instead
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA9.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by DW Nominate, standard errors clustered by congress\label{tab:post1945_2014alterndwnom}) ///
nogaps replace


*Table A10
*Main regression table with state clusters 
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)


esttab using tableA10.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, standard errors clustered by state \label{tab:post1945_2014alternstate}) ///
nogaps replace

*Table A11
*With Reps and so. dems instead state clusters
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep2 d_tariff_rep2 d_meancapopen_rep2 d_tariff_meancap_rep2 d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep2 d_tariff_rep2 d_mean_ci_capopen_rep2 d_tariff_mean_ci_capopen_rep2 d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA11.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by Republicans and Southern Democrats, standard errors clustered by state \label{tab:post1945_2014alternrepsodemstate}) ///
nogaps replace

*Table A12
*With lowtax instead state clusters 
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap lowtax d_tariff_lowtax d_meancapopen_lowtax d_tariff_meancap_lowtax d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen lowtax d_tariff_lowtax d_mean_ci_capopen_lowtax d_tariff_mean_ci_capopen_lowtax d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)


esttab using tableA12.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by low tax preference, standard errors clustered by state \label{tab:post1945_2014alternlowtaxstate}) ///
nogaps replace


*Table A13
*With dw nominate instead state clusters 
set more off
eststo clear
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2 [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap dwnom1 d_tariff_dwnom1 d_meancapopen_dwnom1 d_tariff_meancap_dwnom1 d_union d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact d_gdptril [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)
use "post1945_1_rep.dta", clear
eststo: estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen dwnom1 d_tariff_dwnom1 d_mean_ci_capopen_dwnom1 d_tariff_mean_ci_capopen_dwnom1 d_union  d_unemp d_foreign d_lag_foreign ////
d_welfare d_welfimpact [aweight = count], vce(cluster icpsrcode) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

esttab using tableA13.tex, b(2) se(2) label ///
title(Voting behavior regressed on trade openness, world capital openness and controls, sample split by DW Nominate, standard errors clustered by state\label{tab:post1945_2014alterndwnomstate}) ///
nogaps replace

******************************************************************************************************************************
******************************************************************************************************************************

***Logits by single vote
*Table A14
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA14.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, standard errors clustered by congress\label{tab:post1945singlevotesalternlogit}) ///
nogaps replace



***With Reps and so. dems instead 
*Table A15
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA15.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by Republicans and Southern Democrats, standard errors clustered by congress\label{tab:post1945singlevotesalternlogitrepsodem}) ///
nogaps replace

***With lowtax instead
*Table A16 
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA16.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by low tax preference, standard errors clustered by congress \label{tab:post1945singlevotesalternlogitlowtax}) ///
nogaps replace



***With dw nominate instead 
*Table A17
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA17.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by DW Nominate, standard errors clustered by congress\label{tab:post1945singlevotesalternlogitdwnom}) ///
nogaps replace





***Main Logit regression table with state clusters
*Table A18
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA18.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, standard errors clustered by state \label{tab:post1945singlevotesalternlogitstate}) ///
nogaps replace

***With Reps and so. dems instead state clusters 
*Table A19
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep2 tariff_rep2 meancapopen_rep2 tariff_meancap_rep2 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep2 tariff_rep2 mean_ci_capopen_rep2 tariff_mean_ci_capopen_rep2 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA19.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by Republicans and Southern Democrats, standard errors clustered by state \label{tab:post1945singlevotesalternlogitrepsodemstate}) ///
nogaps replace

***With lowtax instead state clusters 
*Table A20
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap lowtax tariff_lowtax meancapopen_lowtax tariff_meancap_lowtax union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen lowtax tariff_lowtax mean_ci_capopen_lowtax tariff_mean_ci_capopen_lowtax union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using TableA20.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by low tax preference, standard errors clustered by state \label{tab:post1945singlevotesalternlogitlowtaxstate}) ///
nogaps replace



***With dw nominate instead state clusters 
*Table A21
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1 nonwhite years_served_sen electionyear years_since_election years_since_election_2, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap dwnom1 tariff_dwnom1 meancapopen_dwnom1 tariff_meancap_dwnom1 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen dwnom1 tariff_dwnom1 mean_ci_capopen_dwnom1 tariff_mean_ci_capopen_dwnom1 union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal , vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA21.tex, b(2) se(2) label ///
title(Logit regression of votes on trade openness, world capital openness and controls, sample split by DW Nominate, standard errors clustered by state\label{tab:post1945singlevotesalternlogitdwnomstate}) ///
nogaps replace

**key bills only
*Table A22
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep if key==1, vce(cluster congress) 
use "post1945singlevotes_1_rep.dta", clear
eststo: logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep if key==1, vce(cluster congress) 



esttab using tableA22.tex, b(2) se(2) label ///
title(Logit regression of votes on key bills on trade openness, world capital openness and controls, standard errors clustered by congress\label{tab:post1945singlevotesalternlogit}) ///
nogaps replace

**Table A23
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if key==1, vce(robust) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA23.tex, b(2) se(2) label ///
title(Logit regression of votes on key bills on trade openness, world capital openness and controls, standard errors clustered by state\label{tab:post1945singlevotesalternlogit}) ///
nogaps replace



*Final passage only
*Table A24
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if votetype==1, vce(cluster congress) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA24.tex, b(2) se(2) label ///
title(Logit regression of votes on key bills on trade openness, world capital openness and controls, standard errors clustered by congress\label{tab:post1945singlevotesalternlogit}) ///
nogaps replace

**With Standard errors clustered by state
*Table A25
set more off
eststo clear
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep nonwhite years_served_sen electionyear years_since_election years_since_election_2 if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free meancapopen tariff_meancap rep tariff_rep meancapopen_rep tariff_meancap_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)
use "post1945singlevotes_1_rep.dta", clear
eststo: estsimp logit DV1 persalaried cw_free mean_ci_capopen tariff_mean_ci_capopen rep tariff_rep mean_ci_capopen_rep tariff_mean_ci_capopen_rep union unemp foreign lag_foreign ////
welfare welfimpact gdpbilreal if votetype==1, vce(cluster icpsrcode) mi(post1945singlevotes_1_rep post1945singlevotes_2_rep post1945singlevotes_3_rep post1945singlevotes_4_rep post1945singlevotes_5_rep)

esttab using tableA25.tex, b(2) se(2) label ///
title(Logit regression of votes on key bills on trade openness, world capital openness and controls, standard errors clustered by state\label{tab:post1945singlevotesalternlogit}) ///
nogaps replace

********************************************************************************************************
********************************************************************************************************

***Table A1
use "wide_sen.dta", clear

tabulate votesame sameparty, chi2 column

********************************************************************************************************
********************************************************************************************************
***Figures****
*Figure 1
**Policy and Total Voting Behavior

use "senyearagg2.dta", clear

merge 1:1 year using "us_policy.dta"

lowess DV1 year, bwidth(0.25) gen(DV1_smooth)

duplicates drop year, force

twoway (line DV1_smooth year, lcolor(black) lpattern (dash)) (line factor1 year, yaxis(2) lcolor(black)) if year>=1950

*Figure 2

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_dems_trade_qt_alldata.dta", clear

predict y_dems
predict y_se_dems, stdp

gen lower_dems = y_dems - 1.96 * y_se_dems

gen upper_dems = y_dems + 1.96 * y_se_dems

save "fake_dems_trade_qt_alldata_pred.dta",replace



set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_dems_fm_qt_alldata.dta", clear

predict y_dems
predict y_se_dems, stdp

gen lower_dems = y_dems - 1.96 * y_se_dems

gen upper_dems = y_dems + 1.96 * y_se_dems

save "fake_dems_fm_qt_alldata_pred.dta",replace

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_reps_trade_qt_alldata.dta", clear

predict y_reps
predict y_se_reps, stdp

gen lower_reps = y_reps - 1.96 * y_se_reps

gen upper_reps = y_reps + 1.96 * y_se_reps

save "fake_reps_trade_qt_alldata_pred.dta",replace

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_meancapopen d_tariff_meancap rep d_tariff_rep d_meancapopen_rep d_tariff_meancap_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_reps_fm_qt_alldata.dta", clear

predict y_reps
predict y_se_reps, stdp

gen lower_reps = y_reps - 1.96 * y_se_reps

gen upper_reps = y_reps + 1.96 * y_se_reps

save "fake_reps_fm_qt_alldata_pred.dta",replace


set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_dems_trade_ci_alldata.dta", clear

predict y_dems
predict y_se_dems, stdp

gen lower_dems = y_dems - 1.96 * y_se_dems

gen upper_dems = y_dems + 1.96 * y_se_dems


save "fake_dems_trade_ci_alldata_pred.dta",replace

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_dems_fm_ci_alldata.dta", clear

predict y_dems
predict y_se_dems, stdp

gen lower_dems = y_dems - 1.96 * y_se_dems

gen upper_dems = y_dems + 1.96 * y_se_dems


save "fake_dems_fm_ci_alldata_pred.dta",replace

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_reps_trade_ci_alldata.dta", clear

predict y_reps
predict y_se_reps, stdp

gen lower_reps = y_reps - 1.96 * y_se_reps

gen upper_reps = y_reps + 1.96 * y_se_reps


save "fake_reps_trade_ci_alldata_pred.dta",replace

set more off
use "post1945_1_rep.dta", clear
estsimp reg d_dvmean d_persalaried d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen rep d_tariff_rep d_mean_ci_capopen_rep d_tariff_mean_ci_capopen_rep [aweight = count], vce(cluster congress) mi(post1945_1_rep post1945_2_rep post1945_3_rep post1945_4_rep post1945_5_rep)

use "fake_reps_fm_ci_alldata.dta", clear

predict y_reps
predict y_se_reps, stdp

gen lower_reps = y_reps - 1.96 * y_se_reps

gen upper_reps = y_reps + 1.96 * y_se_reps


save "fake_reps_fm_ci_alldata_pred.dta",replace



use "fake_dems_trade_qt_alldata_pred.dta", clear
merge m:m d_tariff using "fake_reps_trade_qt_alldata_pred.dta"

twoway (line y_dems d_tariff, lcolor(black)) (line y_reps d_tariff, lcolor(gray) lpattern(dash))  (line lower_dems d_tariff, lcolor(black) lpattern(dot)) (line lower_reps d_tariff,  lcolor(gray) lpattern(dot)) (line upper_dems d_tariff,  lcolor(black) lpattern(dot))  (line upper_reps d_tariff,  lcolor(gray) lpattern(dot))


use "fake_dems_fm_qt_alldata_pred.dta", clear
merge m:m d_tariff using "fake_reps_fm_qt_alldata_pred.dta"

twoway (line y_dems d_meancapopen, lcolor(black)) (line y_reps d_meancapopen, lcolor(gray) lpattern(dash))  (line lower_dems d_meancapopen, lcolor(black) lpattern(dot)) (line lower_reps d_meancapopen,  lcolor(gray) lpattern(dot)) (line upper_dems d_meancapopen,  lcolor(black) lpattern(dot))  (line upper_reps d_meancapopen,  lcolor(gray) lpattern(dot))



use "fake_dems_trade_ci_alldata_pred.dta", clear
merge m:m d_tariff using "fake_reps_trade_ci_alldata_pred.dta"

twoway (line y_dems d_tariff, lcolor(black)) (line y_reps d_tariff, lcolor(gray) lpattern(dash))  (line lower_dems d_tariff, lcolor(black) lpattern(dot)) (line lower_reps d_tariff,  lcolor(gray) lpattern(dot)) (line upper_dems d_tariff,  lcolor(black) lpattern(dot))  (line upper_reps d_tariff,  lcolor(gray) lpattern(dot))


use "fake_dems_fm_ci_alldata_pred.dta", clear
merge m:m d_tariff using "fake_reps_fm_ci_alldata_pred.dta"

twoway (line y_dems d_mean_ci_capopen, lcolor(black)) (line y_reps d_mean_ci_capopen, lcolor(gray) lpattern(dash))  (line lower_dems d_mean_ci_capopen, lcolor(black) lpattern(dot)) (line lower_reps d_mean_ci_capopen,  lcolor(gray) lpattern(dot)) (line upper_dems d_mean_ci_capopen,  lcolor(black) lpattern(dot))  (line upper_reps d_mean_ci_capopen,  lcolor(gray) lpattern(dot))







*Figure A1
**Histograph of votes per year
clear all
insheet using "votesperyear.csv", comma

twoway (bar votesyear year)

clear all
insheet using "number of votes.csv", comma

gen propimvote=imvotes/totvotes

twoway (bar propimvote year)

*Figure A2 & Figure A3
**By Parties
use "senyearpartyagg.dta", clear

gen propopen=DV1/count

lowess propopen year if party==100, bwidth(0.25) gen(dems)
lowess propopen year if party==200, bwidth(0.25) gen(reps)
*A2
twoway (line dems year, lcolor(black) lpattern (dash)) (line reps year, lcolor(black)) if year>=1850
*A3
histogram propopen if party==200
histogram propopen if party==100

*Figure A4
***Loess of Votes and Ideal Points
*89th Congress
use "idealpoints89 for merge.dta", clear

merge m:m id year using "sensumpost1945_rep.dta"

gen prop=DV1/count

lowess prop ideal_89

*99th Congress
use "idealpoints99 for merge.dta", clear

merge m:m id year using "sensumpost1945_rep.dta"

gen prop=DV1/count

lowess prop ideal_99

*104th Congress
use "idealpoints104 for merge.dta", clear

merge m:m id year using "sensumpost1945_rep.dta"

gen prop=DV1/count

lowess prop ideal_104


*Figure A5

set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==0   [aweight = count], vce(cluster congress) 

use "fake_dems_trade_qt_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_tariff, lcolor(black)) (line lower_low d_tariff, lcolor(black) lpattern(dot)) (line upper_low d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (Low Trade & FM) subtitle (Democrats)

graph save "pred_dems_trade_qt_low", replace

save "fake_dems_trade_qt_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==0   [aweight = count], vce(cluster congress) 

use "fake_dems_trade_qt_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_tariff, lcolor(black)) (line high_high d_tariff, lcolor(black) lpattern(dot)) (line upper_high d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (High Trade & FM) subtitle(Democrats)

graph save "pred_dems_trade_qt_high", replace

save "fake_dems_trade_qt_hightrade_highfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==0   [aweight = count], vce(cluster congress) 

use "fake_dems_fm_qt_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_meancapopen, lcolor(black)) (line lower_low d_meancapopen, lcolor(black) lpattern(dot)) (line upper_low d_meancapopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (Low Trade & FM) subtitle(Democrats)
graph save "pred_dems_fm_qt_low", replace

save "fake_dems_fm_qt_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==0   [aweight = count], vce(cluster congress) 

use "fake_dems_fm_qt_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_meancapopen, lcolor(black)) (line high_high d_meancapopen, lcolor(black) lpattern(dot)) (line upper_high d_meancapopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (High Trade & FM) subtitle(Democrats)
graph save "pred_dems_fm_qt_high", replace


save "fake_dems_fm_qt_hightrade_highfm_20120422.dta",replace




set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==1   [aweight = count], vce(cluster congress) 

use "fake_reps_trade_qt_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_tariff, lcolor(black)) (line lower_low d_tariff, lcolor(black) lpattern(dot)) (line upper_low d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (Low Trade & FM) subtitle (Republicans)

graph save "pred_reps_trade_qt_low", replace

save "fake_reps_trade_qt_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==1   [aweight = count], vce(cluster congress) 

use "fake_reps_trade_qt_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_tariff, lcolor(black)) (line high_high d_tariff, lcolor(black) lpattern(dot)) (line upper_high d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (High Trade & FM) subtitle (Republicans)

graph save "pred_reps_trade_qt_high", replace

save "fake_reps_trade_qt_hightrade_highfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==1   [aweight = count], vce(cluster congress) 

use "fake_reps_fm_qt_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_meancapopen, lcolor(black)) (line lower_low d_meancapopen, lcolor(black) lpattern(dot)) (line upper_low d_meancapopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (Low Trade & FM) subtitle (Republicans)

graph save "pred_reps_fm_qt_low", replace

save "fake_reps_fm_qt_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_meancapopen d_tariff_meancap trhigh_chigh_qt trhigh_chigh_qt_dt trhigh_chigh_qt_dfm_qt trhigh_caphigh_qt_d_t_qi if rep==1   [aweight = count], vce(cluster congress) 

use "fake_reps_fm_qt_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_meancapopen, lcolor(black)) (line high_high d_meancapopen, lcolor(black) lpattern(dot)) (line upper_high d_meancapopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (High Trade & FM) subtitle (Republicans)

graph save "pred_reps_fm_qt_high", replace

save "fake_reps_fm_qt_hightrade_highfm_20120422.dta",replace

set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==0 [aweight = count], vce(cluster congress) 
use "fake_dems_trade_ci_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_tariff, lcolor(black)) (line lower_low d_tariff, lcolor(black) lpattern(dot)) (line upper_low d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (Low Trade & FM) subtitle (Democrats)

graph save "pred_dems_trade_ci_low", replace

save "fake_dems_trade_ci_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==0 [aweight = count], vce(cluster congress) 
use "fake_dems_trade_ci_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_tariff, lcolor(black)) (line high_high d_tariff, lcolor(black) lpattern(dot)) (line upper_high d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (High Trade & FM) subtitle (Democrats)

graph save "pred_dems_trade_ci_high", replace

save "fake_dems_trade_ci_hightrade_highfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==0 [aweight = count], vce(cluster congress) 
use "fake_dems_fm_ci_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_mean_ci_capopen, lcolor(black)) (line lower_low d_mean_ci_capopen, lcolor(black) lpattern(dot)) (line upper_low d_mean_ci_capopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (Low Trade & FM) subtitle (Democrats)

graph save "pred_dems_fm_ci_low", replace


save "fake_dems_fm_ci_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==0 [aweight = count], vce(cluster congress) 
use "fake_dems_fm_ci_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_mean_ci_capopen, lcolor(black)) (line high_high d_mean_ci_capopen, lcolor(black) lpattern(dot)) (line upper_high d_mean_ci_capopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (High Trade & FM) subtitle (Democrats)

graph save "pred_dems_fm_ci_high", replace

save "fake_dems_fm_ci_hightrade_highfm_20120422.dta",replace




set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==1 [aweight = count], vce(cluster congress) 
use "fake_reps_trade_ci_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_tariff, lcolor(black)) (line lower_low d_tariff, lcolor(black) lpattern(dot)) (line upper_low d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (Low Trade & FM) subtitle (Republicans)


graph save "pred_reps_trade_ci_low", replace
save "fake_reps_trade_ci_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==1 [aweight = count], vce(cluster congress) 

use "fake_reps_trade_ci_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_tariff, lcolor(black)) (line high_high d_tariff, lcolor(black) lpattern(dot)) (line upper_high d_tariff, lcolor(black) lpattern(dot)), xtitle(Change in Trade Policy) ytitle() legend(off) title (High Trade & FM) subtitle (Republicans)


graph save "pred_reps_trade_ci_high", replace

save "fake_reps_trade_ci_hightrade_highfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==1 [aweight = count], vce(cluster congress) 

use "fake_reps_fm_ci_lowtrade_lowfm_20120422.dta", clear

predict y_low
predict y_se_low, stdp

gen lower_low = y_low - 1.96 * y_se_low

gen upper_low = y_low + 1.96 * y_se_low

twoway (line y_low d_mean_ci_capopen, lcolor(black)) (line lower_low d_mean_ci_capopen, lcolor(black) lpattern(dot)) (line upper_low d_mean_ci_capopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (Low Trade & FM) subtitle (Republicans)

graph save "pred_reps_fm_ci_low", replace

save "fake_reps_fm_ci_lowtrade_lowfm_20120422.dta",replace


set more off
eststo clear
use "post1945_1_rep.dta", clear
reg d_dvmean d_tariff d_mean_ci_capopen d_tariff_mean_ci_capopen trhigh_chigh_ci trhigh_chigh_ci_dt trhigh_chigh_ci_dfm_ci trhigh_caphigh_ci_d_t_ci if rep==1 [aweight = count], vce(cluster congress) 

use "fake_reps_fm_ci_hightrade_highfm_20120422.dta", clear

predict y_high
predict y_se_high, stdp

gen high_high = y_high - 1.96 * y_se_high

gen upper_high = y_high + 1.96 * y_se_high

twoway (line y_high d_mean_ci_capopen, lcolor(black)) (line high_high d_mean_ci_capopen, lcolor(black) lpattern(dot)) (line upper_high d_mean_ci_capopen, lcolor(black) lpattern(dot)), xtitle(Change in Firm Mobility) ytitle() legend(off) title (High Trade & FM) subtitle (Republicans)

graph save "pred_reps_fm_ci_high", replace

save "fake_reps_fm_ci_hightrade_highfm_20120422.dta",replace


graph combine "pred_dems_trade_qt_low" "pred_dems_trade_qt_high" "pred_reps_trade_qt_low" "pred_reps_trade_qt_high" "pred_dems_fm_qt_low" "pred_dems_fm_qt_high" "pred_reps_fm_qt_low" "pred_reps_fm_qt_high", ycommon cols(4)
graph combine "pred_dems_trade_ci_low" "pred_dems_trade_ci_high" "pred_reps_trade_ci_low" "pred_reps_trade_ci_high" "pred_dems_fm_ci_low" "pred_dems_fm_ci_high" "pred_reps_fm_ci_low" "pred_reps_fm_ci_high", ycommon cols(4)






******************************************************************************************
********************************************************************************************
****Replication of Firm Lobbying
**Number of issues by firm
use "lobbying_immi_byfirm_os_rep.dta", clear
summarize nonimmiissue
summarize nonimmiissue if agriculture_seasonal==1

***Rest of lobbying section


use "Lobbying_data_for_sv_paper", clear

label define tarlabel 1 "Chemicals" 2 "Earthenware, Glassware" 3 "Metals and Manufactures of" ////
4 "Wood Products" 5 "Sugar" 6 "Tobacco" 7 "Agriculture" 8 "Spirits" 9 "Textiles" ////
14 "Paper" 15 "Sundries" 20 "Construction" 21 "Transportation" 22 "Government" ////
23 "Utility" 24 "Wholesale" 25 "High Skill Services" 26 "Retail" 27 "Hospitality"  28 "Low Skill Services" ////
29 "Amusement" 30 "Healthcare" 40 "Nativist Groups" 41 "Human Rights Groups" 42 "Unions" 43 "General Business Ass'n" ////
44 "Misc. Lobbying Groups" 45 "Ethnic Lobbying Groups" 46 "Misc" 

label values earlytarsched tarlabel

*number of firms by business/ non-business
gen business=.
replace business=0 if earlytarsched>=40
replace business=1 if earlytarsched<40
replace business=1 if earlytarsched==43

preserve
	collapse (sum) num_firms, by (business year)
	drop if num_firms==0
	summarize num_firms if business==0
	summarize num_firms if business==1
restore


*T-test and correlation coefficients with %issues lobbied on about immigration & low skill immigration
ttest perimmiissue, by(tradable)


pwcorr perlow l5_tariff1, sig 

pwcorr perlow l_loginvest, sig
pwcorr perlow l2_loginvest, sig

*Data about employment of immigrants
*Table 3
by year, sort : egen float rankperimmiemploy = rank(perimmiemploy), field
sort rank perimmiemploy

sort year
by year: egen totinvest=sum(dirinvest)

gen perinvest=dirinvest/totinvest


pwcorr perimmiemploy tariff1, sig
pwcorr perimmiemploy dirinvest, sig
pwcorr perimmiemploy perinvest, sig


**In the Data Appendix, p. 38-39
summarize num_firms 
by year, sort : egen float rank_num_firms = rank(num_firms), field
sort rank_num_firms


summarize peragri if earlytarsched==7
summarize perhigh if earlytarsched==7
summarize peragri if earlytarsched==25
summarize perhigh if earlytarsched==25

*Figure A7
twoway(line perimmiissue year if earlytarsched==25 & year>=1995) 


sort earlytarsched
by earlytarsched: egen sum_firm_years=sum(num_firms)
